Не получается зарегистрировать лицензию

Обсуждение вопросов связанных с шлюзом безопасности Ideco UTM. Технические вопросы пользователей, новости от разработчиков, анонсы, обсуждения недокументированных особенностей.

Модератор: administrator

Не получается зарегистрировать лицензию

Сообщение Виктор.Г. » 31 окт 2019, 05:01

Не получается зарегистрировать лицензию, на установленный Шлюз безопасности Ideco UTM7 .8.9 (сборка 103) (Шлюз установлен на VMware ESXi), добавленны 2 сетевых интерфейса вроде бы все настроено.
1. По ссылке на шлюзе перехожу в личный кабинет, там нажимаю "Добавить сервер" и копирую выданный токен.
2. Вставляю его в строчку на шлюзе.
3 Шлюз выдает такое:
URL: /license/register

Method: POST
URI: /register
BODY: None
TIME: 2019-10-31 08:59:30.229175
Traceback (most recent call last):
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 846, in _create_direct_connection
traces=traces), loop=self._loop)
File "/usr/lib64/python3.5/asyncio/futures.py", line 381, in __iter__
yield self # This tells Task to wait for completion.
File "/usr/lib64/python3.5/asyncio/tasks.py", line 310, in _wakeup
future.result()
File "/usr/lib64/python3.5/asyncio/futures.py", line 294, in result
raise self._exception
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 846, in _create_direct_connection
traces=traces), loop=self._loop)
File "/usr/lib64/python3.5/asyncio/futures.py", line 381, in __iter__
yield self # This tells Task to wait for completion.
File "/usr/lib64/python3.5/asyncio/tasks.py", line 310, in _wakeup
future.result()
File "/usr/lib64/python3.5/asyncio/futures.py", line 294, in result
raise self._exception
File "/usr/lib64/python3.5/asyncio/tasks.py", line 240, in _step
result = coro.send(None)
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 716, in _resolve_host
await self._throttle_dns_events[key].wait()
File "/usr/lib64/python3.5/site-packages/aiohttp/locks.py", line 31, in wait
raise self._exc
File "/usr/lib64/python3.5/asyncio/tasks.py", line 242, in _step
result = coro.throw(exc)
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 730, in _resolve_host
self._resolver.resolve(host, port, family=self._family)
File "/usr/lib64/python3.5/site-packages/aiohttp/resolver.py", line 30, in resolve
host, port, type=socket.SOCK_STREAM, family=family)
File "/usr/lib64/python3.5/asyncio/futures.py", line 381, in __iter__
yield self # This tells Task to wait for completion.
File "/usr/lib64/python3.5/asyncio/tasks.py", line 310, in _wakeup
future.result()
File "/usr/lib64/python3.5/asyncio/futures.py", line 294, in result
raise self._exception
File "/usr/lib64/python3.5/concurrent/futures/thread.py", line 55, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/lib64/python3.5/socket.py", line 733, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/license_backend/handlers/server.py", line 33, in post
await self.request.app['license_manager'].register_server(data['token'])
File "/usr/lib/python3.5/site-packages/license_backend/license.py", line 373, in register_server
raise RuntimeError('Failed to register server.')
RuntimeError: Failed to register server.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/ideco/backend/aiohttp/middleware.py", line 59, in exceptions_middleware_factory
return await handler(request)
File "/usr/lib64/python3.5/site-packages/aiohttp/web_urldispatcher.py", line 719, in _iter
resp = await method()
File "/usr/lib/python3.5/site-packages/license_backend/handlers/server.py", line 38, in post
raise RuntimeError('Не удалось зарегистрировать сервер. Проверьте, что токен валиден, или обратитесь в тех. поддержку.') from exc
RuntimeError: Не удалось зарегистрировать сервер. Проверьте, что токен валиден, или обратитесь в тех. поддержку
Виктор.Г.
Пользователь
 
Сообщения: 8
Зарегистрирован: 31 окт 2019, 04:51

Re: Не получается зарегистрировать лицензию

Сообщение Виктор.Г. » 31 окт 2019, 05:09

Предполагаю что шлюз не может выйти в интет:
Настройке на шлюзе:
Актуальный IP-адрес:
192.168.0.90/24 Ethernet Локальный Подключен Основной
Локальный интерфейс

Актуальный IP-адрес:
192.168.100.100/24 Ethernet Внешний Подключен Основной Внешний интерфейс
192.168.100.1 Шлюз


Если я например ставлю настройки, просто на ПК, то инет есть.
ip 192.168.100.105
шлюз 192.168.100.1


На самом шлюзе включен режим: "Разрешить Интернет всем"
Виктор.Г.
Пользователь
 
Сообщения: 8
Зарегистрирован: 31 окт 2019, 04:51

Re: Не получается зарегистрировать лицензию

Сообщение ideco.dmitriy » 31 окт 2019, 13:50

Зайдите в консоль сервера (не веб-интерфейс, а та, что на экране вирт. машины). Зайдите там в "Консоль" и попробуйте
ping 8.8.8.8
ping my.ideco.ru

если DNS-резолвинг не работает, то в разделе DNS-серверы в веб-интерфейсы поменяйте DNS-сервер на сервер провайдера или любой рабочий из вашей сети.
Аватара пользователя
ideco.dmitriy
Админ всея сети
 
Сообщения: 2090
Зарегистрирован: 11 мар 2014, 08:43

Re: Не получается зарегистрировать лицензию

Сообщение Виктор.Г. » 31 окт 2019, 13:56

Спасибо. Разобрался, по крайней мере для получения лицензии, можно обойтись одним интерфейсом и настройкой маршрутизации на шлюз в web-интерфейсе
Виктор.Г.
Пользователь
 
Сообщения: 8
Зарегистрирован: 31 окт 2019, 04:51

Re: Не получается зарегистрировать лицензию

Сообщение ideco.dmitriy » 31 окт 2019, 15:35

Да, для получения лицензии такой вариант подойдет.
Либо даже для использования UTM в качестве прокси-сервера с прямым подключением.
Аватара пользователя
ideco.dmitriy
Админ всея сети
 
Сообщения: 2090
Зарегистрирован: 11 мар 2014, 08:43


Вернуться в Шлюз безопасности Ideco UTM 7.x

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1

cron